#include "aron_conversions.h"

#include <RobotAPI/libraries/ArmarXObjects/aron_conversions.h>

#include <RobotAPI/libraries/aron/common/aron_conversions/core.h>
#include <RobotAPI/libraries/aron/common/aron_conversions/stl.h>
#include <RobotAPI/libraries/aron/common/aron_conversions/armarx.h>

namespace armarx::armem
{

    void fromAron(const arondto::ObjectInstance& dto,
                  objpose::arondto::ObjectPose& bo)
    {
        bo = dto.pose;
    }

    void toAron(arondto::ObjectInstance& dto, const objpose::arondto::ObjectPose& bo)
    {
        dto.pose = bo;
    }

    void fromAron(const arondto::ObjectInstance& dto, objpose::ObjectPose& bo)
    {
        objpose::fromAron(dto.pose, bo);
    }

    void toAron(arondto::ObjectInstance& dto, const objpose::ObjectPose& bo)
    {
        objpose::toAron(dto.pose, bo);
    }

}  // namespace armarx::armem
